<?php

function init_theme_options(){

    $theme = JC_OPTIONS_THEME;
    $prefixe = JC_OPTIONS_PREFIXE;
    update_option( 'jc_theme', $theme );
    update_option( 'jc_prefixe', $prefixe );

    // Feuilles de style
    $alt_stylesheet_path = TEMPLATEPATH . '/styles/';
    $alt_stylesheets = array();
    if ( is_dir($alt_stylesheet_path) ) {
        if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
            while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
                //$name = stristr($alt_stylesheet_file, ".css", true);
                //$pos = stripos($alt_stylesheet_file, ".css");
                //if($pos !== false) {
                if (preg_match("#\.css$#i", $alt_stylesheet_file)){
                    //$name = substr($alt_stylesheet_file, 0, $pos);
                    $name = str_replace('.css', '', $alt_stylesheet_file);
                    $alt_stylesheets[] = array(
                        "name" => $name,
                        "value" => $alt_stylesheet_file);
                }
            }
        }
    }


    $options = array();

    $options[] = array(
        'id' => 'general_settings',
        'name' => __('General Settings', $theme),
        'type' => 'set',
        'help' => ''
    );
    
    $options[] = array(
        'id' => $prefixe.'stylesheet',
        "name" => __("Theme Stylesheet", $theme),
        "help" => __("Select your themes alternative color scheme.", $theme),
        "default" => "default.css",
        "type" => "select",
        "choices" => $alt_stylesheets
    );
    $options[] = array(
        'id' => $prefixe.'css',
        'name' => __('Custom CSS', $theme),
        'help' => __('Custom CSS code', $theme),
        'default' => '',
        'type' => 'textarea',
        'options' => array(
            'style' => 'style="width: 98%; height: 100px;"'
        )
    );
    $options[] = array(
        'id' => $prefixe.'js',
        'name' => __('Custom JS', $theme),
        'help' => __('Custom JavaScript code', $theme),
        'default' => '',
        'type' => 'textarea',
        'options' => array(
            'style' => 'style="width: 98%; height: 75px;"'
        )
    );
    $options[] = array(
        'id' => $prefixe.'sidebar',
        'name' => __('Sidebar ?', $theme),
        'help' => __('Display a sidebar or not ?', $theme),
        'default' => 'yes',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    $options[] = array(
        'id' => $prefixe.'search',
        'name' => __('Search Box ?', $theme),
        'help' => __('Display a search box in the nav ?', $theme),
        'default' => 'yes',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    
    $options[] = array(
        'id' => 'header_settings',
        'name' => __('Header settings', $theme),
        'type' => 'set',
        'help' => ''
    );
    $options[] = array(
        'id' => $prefixe.'logo_image',
        'name' => __('Custom Logo Image', $theme),
        'help' => __('Upload an image for the logo, at the top center of the page, or specify the image address of your online image. (http://yoursite.com/logo.png)', $theme),
        'default' => '',
        'type' => 'upload'
    );
    $options[] = array(
        'id' => $prefixe.'logo_image_css',
        'name' => __('CSS Placement for Logo', $theme),
        'help' => __('Css for the logo. Don\'t use the url() statement which is automatically define', $theme),
        'default' => '',
        'type' => 'text',
        'options' => array(
            'style' => 'style="width: 98%;"'
        )
    );
    $options[] = array(
        'id' => $prefixe.'logo_image_height',
        'name' => __('Logo\'s height', $theme),
        'help' => __('Height of the logo (in px).', $theme),
        'default' => '',
        'type' => 'text',
        'options' => array(
            'style' => 'style="width: 100px;"'
        )
    );
    
    
    $options[] = array(
        'id' => 'footer_settings',
        'name' => __('Footer settings', $theme),
        'type' => 'set',
        'help' => ''
    );
    $options[] = array(
        'id' => $prefixe.'footer_sidebar',
        'name' => __('Sidebar ?', $theme),
        'help' => __('Display a sidebar or not in the footer ?', $theme),
        'default' => 'no',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    $options[] = array(
        'id' => $prefixe.'footer_content',
        'name' => __('Custom Footer Content', $theme),
        'help' => __('Html Code For the extra footer content', $theme),
        'default' => '',
        'type' => 'textarea',
        'options' => array(
            'style' => 'style="width: 98%; height: 100px;"'
        )
    );
    $options[] = array(
        'id' => $prefixe.'footer_copyright',
        'name' => __('Copyright', $theme),
        'help' => __('Display a custom copyright', $theme),
        'default' => '<a href="http://www.madeby-jc.com/" target="_blank">made by JC</a>',
        'type' => 'text',
        'options' => array(
            'style' => 'style="width: 98%;"'
        )
    );
    
    // Under Construction Settings
    $options[] = array(
        'id' => 'under_construction_settings',
        'name' => __('Under Construction Settings', $theme),
        'type' => 'set',
        'help' => ''
    );
    $options[] = array(
        'id' => $prefixe.'under_contruction',
        'name' => __('Is under contruction', $theme),
        'help' => __('Is the website under contruction.<br />note: soon you signin, you can see your site website.', $theme),
        'default' => 'no',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    $options[] = array(
        'id' => $prefixe.'uc_custom_html',
        'name' => __('Custom Content', $theme),
        'help' => __('Html Code For the custom under contruction page.<br /> Contains all the html code for the page.', $theme),
        'default' => "<html>\n<head>\n<title>Under Construction</title>\n"
            .'<link rel="stylesheet" media="all" href="'.get_bloginfo( 'stylesheet_url' ).'" />'
            ."<body id='under-construction'>"
            ."<div id='message'>\n"
            .'<h1>'.get_bloginfo( 'name' ).' '.__("under Construction", $theme).'</h1>'."\n"
            .'<p>'.__("Sorry, but the site is under contruction...", $theme).'</p>'."\n"
            ."</div>\n"
            ."</body>\n</html>",
        'type' => 'textarea',
        'options' => array(
            'style' => 'style="width: 98%; height: 200px;"'
        )
    );
    
    $options[] = array(
        'id' => 'social',
        'name' => __('Social Networks', $theme),
        'type' => 'set',
        'help' => 'Just set the url profile for each social networks you want.'
    );
    
    $socials = array (
        'twitter' => 'Twitter',
        'facebook' => 'Facebook',
        'myspace' => 'MySpace',
        'flickr' => 'Flickr',
        'skype' => 'Skype',
        'youtube' => 'Youtube',
        'vimeo' => 'Vimeo',
        'dailymotion' => 'DailyMotion'
    );    
    foreach ($socials as $sid => $sname) {
        $options[] = array(
            'id' => $prefixe.$sid,
            'name' => $sname,
            'help' => '',
            'default' => '',
            'type' => 'text',
            'options' => array(
                'style' => 'style="width: 98%;"'
            )
        );
    }
    
    $options[] = array(
        'id' => 'miscellanious',
        'name' => __('Miscellanious', $theme),
        'type' => 'set',
        'help' => ''
    );
    $options[] = array(
        'id' => $prefixe.'sc',
        'name' => __('Use Shortcodes', $theme),
        'help' => __('Enables the plugin\'s shortcodes.', $theme),
        'default' => 'yes',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    $options[] = array(
        'id' => $prefixe.'sc_prefixe',
        'name' => __('Prefix For Schortcode', $theme),
        'help' => __('If shortcodes names are in conflict with other plugin shortcode use this field<br />Ex: with prefix &quot;custom&quot; use &quot;[custom_button ...]...[/custom_button]&quot;', $theme),
        'default' => '',
        'type' => 'text',
        'options' => array(
            'style' => 'style="width: 100px;"'
        )
    );
    $options[] = array(
        'id' => $prefixe.'sc_wpauto',
        'name' => __('Automatic Html correction', $theme),
        'help' => __('Let Wordpress correct your Html and auto-generate &lt;p&gt; elements.<br />For advence Html editing and intense shortcodes usage, disable this options.', $theme),
        'default' => 'no',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    $options[] = array(
        'id' => $prefixe.'fancybox',
        'name' => __('FancyBox', $theme),
        'help' => __('Display image in a Mac-style "lightbox" that floats overtop of web page.', $theme),
        'default' => 'yes',
        'type' => 'select',
        'choices' => array(
            array( 'name' => __('no', $theme), 'value' => 'no'),
            array( 'name' => __('yes', $theme), 'value' => 'yes'),
        )
    );
    
    update_option('theme_options', $options);
}


?>
