<?php 

function jc_admin_load() {

	if (array_key_exists('page', $_REQUEST) && 'jc_options' == $_REQUEST['page']) {
        add_action('admin_head', 'jc_admin_options_head');
        
        wp_enqueue_script( 'jquery-ui-core' );
        wp_register_script( 'jc-scripts', get_template_directory_uri().'/include/admin.js', array( 'jquery' ));
        wp_enqueue_script( 'jc-scripts' );
    } else {
        add_action('admin_head', 'jc_admin_head');    
    }
    
}



function jc_admin_resources(){
    
}

function jc_admin_options_head() { 
    ?>
    <link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri() ?>/include/admin.css" />
    <script type="text/javascript" language="javascript">
    jQuery(document).ready(function(){
        jQuery('#jc_tab_menu>li:first').addClass('active');
        jQuery('#jc_tab').tabify();
    });
    </script>
    <?php        
}
function jc_admin_head() { 
    ?>
    <script type="text/javascript" language="javascript">
    jQuery(document).ready(function(){
        var $shortcodeTrigger = jQuery('#add_jc_shortcodes');
        if ($shortcodeTrigger.length != 0)
            tb_position();
    });
    </script>
    <?php        
}


function theme_menu() {
	add_theme_page('JC Theme Options', 'JC Theme', 'administrator', 'jc_options', 'jc_options_page');
}

function jc_options_page() {
	
	$options =  get_option('theme_options');      
    $jc_message = "";
    
    
    $tab = (isset($_REQUEST['tab'])) ? intval($_REQUEST['tab']) : 1;
	$errors = array();
	
    // we have submited the page -> save
	if ('jc_options' == $_REQUEST['page']) {
	    if (isset($_REQUEST['action']) && ('update' == $_REQUEST['action'])) {
	        $errors = jc_options_page_save($options);
	        if (count($errors) == 0){
	            wp_redirect("themes.php?page=jc_options&message=1&tab=" . $tab);
            } else {
                $jc_message = __("Options saved with errors", JC_OPTIONS_THEME);
            }
	    }
	    else {
            if (isset($_REQUEST['message']))
	            $jc_message = __("Options saved", JC_OPTIONS_THEME);
	    } 
	}    
	
	
	
	echo '<div class="wrap">';
	echo '<div class="space">&nbsp;</div>';
	
	echo '<div id="donation">';
	echo '
	<div class="buttons">
	    <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=2NN6LYY4S9PTW" target="_blank"><img src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif" alt="Donate" title="Donate with Paypal" border="0" /></a>
	    <a href="http://flattr.com/thing/226027/Bibich-on-Flattr" target="_blank"><img src="http://api.flattr.com/button/flattr-badge-large.png" alt="Flattr this" title="Flattr this" border="0" /></a>
	    <span class="twitter"><a href="https://twitter.com/bibichette" class="twitter-follow-button" target="_blank">follow me @bibichette</a></span>
        <span class="website"><a href="http://www.madeby-jc.com/" target="_blank">support on made by JC</a></span>
	</div>';
	echo '<h3>'.__('Why not make a donation :)', 'jc-one').'</h3>';
	echo '<p>'.__('You know, making a theme is a hard work and is time and beer consuming. So if you like this theme, any kind of contribution would be <strong>highly appreciated</strong>.', 'jc-one').'</p>';
	echo '<p>'.__('Just buy me a beer &mdash; <em>I like it (too much ?!)</em> &mdash; or any amount, <strong>even 1$</strong>.', 'jc-one').'</p>';
	echo '<p><strong>'.__('Thank you.', 'jc-one').'</strong></p>';
	echo '</div>';
	
	
	echo '<div class="space">&nbsp;</div>';
	// echo '<h2>'.__("Theme Options", JC_OPTIONS_THEME).'</h2>';
	if ($jc_message != ""){
	    echo '<div class="updated fade below-h2" style="background-color: rgb(255, 251, 204);"><p>'.$jc_message.'</p>';
	    if (count($errors) == 0){
	        echo '<ul>';
	        foreach ($errors as $key => $error) {
    	        echo '<li>' . $error . '</li>';    
	        }
	    echo '</ul>';
	    }
	    echo '</div>';
	}
	
	//echo '<form action="'.$_SERVER['REQUEST_URI'].'" method="post" onsubmit="return false;" enctype="multipart/form-data">';
	echo '<form action="themes.php?page=jc_options&noheader=true" method="post" enctype="multipart/form-data">';
	// desactivate automatic update for uploading files
	//echo '<form method="post" action="options.php">';
	//echo wp_nonce_field('update-options');
	
	$fields = '';
	$start_table = false;
	$debug = '';
	$embedded = '';
	
	// pour le menu
	$tab_menu = "\n".'<div id="jc_tab">';
	$tab_menu .= "\n".'<div id="jc_tab_header"><h2>'.__('Theme Options', 'jc_one').'</h2></div>';
	$tab_menu .= "\n".'<ul id="jc_tab_menu">';
	$tab_index = 1;
	
	foreach ($options as $key => $option) {
	    if ($option['type'] == "set"){
	        $active_tab = ($tab_index == $tab) ? ' class="active"' : '';
	        $tab_menu .= '<li '.$active_tab.'><a href="#jc_tab_'.$option['id'].'">'.$option['name'].'</a></li>';        
	        
	        $tab_index++;
	    }
	}
	$tab_menu .= "</ul><!-- #jc_tab -->\n<div id='jc_tab_content'>";
	echo $tab_menu;
	foreach ($options as $key => $option){
		$out = "";
		$current = "";
		if (array_key_exists('id', $option)){
            $id = $option['id'];
            $current = get_option($id); 
		}else{
		     $id = "ui";   
		}
		$debug .= $id . "=" . $current . "<br />";
		switch ( $option['type'] ) {
			case 'set':
				// $out = "<h3>".$option['name']."</h3>";
				$out = '';
				if ($option['help'] != ''){
				    $out .= "<p>".$option['help']."</p>";
				}
				break;
			case 'text':
				$current = esc_attr($current);
			    $out = "<input type='text' id='".$id."' name='".$id."' value='".$current."' {{ style }} />";
				break;
			case 'textarea':
				$current = esc_textarea($current);
			    $out = "<textarea id='".$id."' name='".$id."' {{ style }} >".$current."</textarea>";
				break;
			case 'select':
				$out = "<select id='".$id."' name='".$id."' {{ style }} >";
				foreach ($option['choices'] as $key => $choice) {
					if ( $choice["value"] == $current ){
						$selected = ' selected="selected" ';
					} else {
						$selected = '';
					}
					$out .= "<option value='".$choice["value"]."' ".$selected." >".$choice["name"]."</option>";
				}	
				$out .= "</select>";
				break;
			case 'radio':
				$out = "";
				foreach ($option['choices'] as $key => $choice) {
					if ( $choice["value"] == $current ){
						$selected = ' checked="checked" ';
					} else {
						$selected = '';
					}
					$out .= "<input name='".$id."' type='radio' value='".$choice["value"]."' ".$selected." > ".$choice["name"]."<br />" ;
				}	
				break;
			case 'checkbox':
				$out = "";
				foreach ($option['choices'] as $key => $choice) {
					if ( $choice == $current ){
						$selected = ' checked="checked" ';
					} else {
						$selected = '';
					}
					if ($out != "") $out .= "<br />";
					$out .= "<input name='".$id."' type='checkbox' value='".$choice["value"]."' ".$selected." > ".$choice["name"];
				}
				break;
			case 'upload':
				$out .= jc_get_upload_field($option);
				break;
		}		
		
		// on remplace les params
		if (array_key_exists('options', $option)){
		    foreach ($option['options'] as $key => $param) {
		        $out = str_replace( '{{ '.$key.' }}', $param, $out);
            }	
        }
		// on nettoie les params non utilisés
		$out = str_replace( '/\{\{ [\w\-_]+ \}\}/', "", $out);
		
		
		if ($option['type']=="set"){
		    if ($start_table) {
		        if ($embedded == '') echo '</table>';
	            echo '</div>'."\n";
            }
		    echo '<div id="jc_tab_'.$option['id'].'" class="jc_tab_content">';
		    echo $out;
			$embedded = (isset($option['embedded']) && $option['embedded'] != '')
				    ? $option['embedded'] : '';
			if ($embedded == '')
			    echo '<table class="form-table">';
		    else{
		        require_once($embedded.'.php');
	        }
		    $start_table = true;
		} else {
			if ($fields != '') $fields .= ',';
			$fields .= $id;
			// $out = $option['type'];
		
			echo '<tr valign="top">';
			echo '<th scope="row">'.$option['name'].'</th>';
			echo '<td>'.$out;
			if (isset($option['help'])){
				echo '<br/><span class="description">'.$option['help'].'</span>';
			}
			echo '</td></tr>';
		}
	}
	
	if ($start_table){
		echo "</table></div>\n";
	}	
	echo "</div><!-- #jc_tab_content -->\n";
	echo '<div id="jc_tab_footer"><input type="hidden" name="action" value="update" />';
	echo '<input type="hidden" name="page_options" value="'.$fields.'" />';
	// echo '<div>' . $debug . '<div/>';
	//echo '<p class="submit"><input type="submit" class="button-primary" value="'.__('Save Changes', JC_OPTIONS_THEME).'" /></p>';
	echo '<input type="submit" class="button-primary" value="'.__('Save Changes', JC_OPTIONS_THEME).'" />';
	echo "</div><!-- #jc_tab_footer -->\n</div><!-- #jc_tab -->\n</form>";
	echo '</div>';
}


function jc_get_upload_field($option){

        
    $id = $option['id'];
    
    $temp = __("upload file : ", JC_OPTIONS_THEME);
    $temp .= '<input type="file" name="file_'.$id.'" /><br />';
    $temp .= __("or the url : ", JC_OPTIONS_THEME);
        
    $file = get_option($id);
    if (empty($file)) {
        $temp .= '<input class="upload-input-text" name="'.$id.'" value=""/>';
    } else {
        $temp .= '<input class="upload-input-text" name="'.$id.'" value="'.htmlentities($file).'"/><br />';
        // TODO show the details of the file (
        $temp .= '<a href="'. $file . '">';
        $temp .= '<img src="'.get_bloginfo('template_url').'/thumb.php?src='.$file.'&w=200&h=200&zc=0" alt="" />';
        $temp .= '</a>'; 
    }
    
    return $temp;
}

/**
* Save the options
*/
function jc_options_page_save($options){
    
    $save_errors = array();
    
    foreach ($options as $key => $option) {    
        if (array_key_exists('id', $option)){
            $id = $option['id'];
            switch ($option['type']) {
                case 'set': 
                    break;
                case 'text':
                case 'textarea':
                    $val = stripslashes($_REQUEST[$id]);
                    update_option($id, $val);
                    break;
                case 'select':
                case 'checkbox':
                case 'radio':
                    // TODO multi-value
                    if (isset($_REQUEST[$id])){
                        update_option($id, $_REQUEST[ $id ]);
                    } else {
                        delete_option($id);
                    }
                    break;
                case 'upload':
                    if (!empty($_FILES['file_'.$id]['name'])){         
                        $overrides = array('test_form' => false);
                        $file = wp_handle_upload($_FILES['file_' . $id], $overrides);
                        if (isset($file['error']))
                            $save_errors[] = $file['error'];
                        else
                            update_option($id , $file['url']);
                    }elseif (isset($_REQUEST[$id])){
                        update_option($id , $_REQUEST[$id]);
                    }
                    break;
            }
        }
    }
    
    return $save_errors;
} 

/*
* Initialize themes options with default values. 
*/
function jc_init_default_themes_options(){
	
    init_theme_options();
    
    $options =  get_option('theme_options');      
    foreach ($options as $key => $option) {
		if (array_key_exists('id', $option)){
		    if ($option['type'] != 'set'){
                $id = $option['id'];
                $default = $option['default'];
                add_option($id, $default);
            }
        }
		// $current = get_option($id); 
		// $debug .= $id . "=" . $current . "<br />";
	}
	
}

function jc_under_contruction(){
    // what to do ??
    $html = get_option(JC_OPTIONS_PREFIXE.'uc_custom_html');
    echo html_entity_decode($html, ENT_QUOTES);
    die();
}

/*============================================================================
 Adding meta "page options" to Page/Post
============================================================================*/

add_action( 'add_meta_boxes', 'page_options_add_meta_box' );
function page_options_add_meta_box(){
    add_meta_box("page_options_meta_box", __('Page Options', 'jc_one'), "page_options_meta_box", 'page', "normal", "low");
    add_meta_box("page_options_meta_box", __('Page Options', 'jc_one'), "page_options_meta_box", 'post', "normal", "low");

}
function page_options_meta_box(){
    
    global $post;
    $sidebar = get_post_meta($post->ID, "_sidebar", true);
    if (!isset($sidebar)) $sidebar = "1";
    
    ?>
    <p>
        <label><strong><?php echo __('Display the sidebar', 'jc_one'); ?></strong> :</label><br />
        <select name="_sidebar" style="width: 98%;">
            <option value="0" <?php if ($sidebar == "0") echo 'selected="selected"'; ?> ><?php _e('No', 'jc_one'); ?></option>
            <option value="1" <?php if ($sidebar != "0") echo 'selected="selected"'; ?> ><?php _e('Yes', 'jc_one'); ?></option>
        </select>
    </p>
    <?php
}

add_action('save_post', 'page_options_save_details');
function page_options_save_details($post_id){
    
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return $post_id;;
    if (!isset($_POST['post_type'])) return $post_id;
    if (!current_user_can('edit_post', $post_id)) return $post_id;
    /*
    if ( 'post' == $_POST['post_type'] ) {
    } else {
        return $post_id;
	}
	*/
    
    $fields = array(
        '_sidebar', 
    );
    
    foreach ($fields as $field) {
        if (isset($_POST[$field])) {  
            $data = $_POST[$field];
            update_post_meta($post_id, $field, $data);
        }
    }
        
}

?>
